summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/ipopt
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/ipopt')
-rw-r--r--sci-libs/ipopt/Manifest2
-rw-r--r--sci-libs/ipopt/ipopt-3.11.7.ebuild97
-rw-r--r--sci-libs/ipopt/ipopt-3.11.8.ebuild98
-rw-r--r--sci-libs/ipopt/metadata.xml18
4 files changed, 215 insertions, 0 deletions
diff --git a/sci-libs/ipopt/Manifest b/sci-libs/ipopt/Manifest
new file mode 100644
index 00000000000..65bef13f858
--- /dev/null
+++ b/sci-libs/ipopt/Manifest
@@ -0,0 +1,2 @@
+DIST Ipopt-3.11.7.tgz 4749511 SHA256 c276555cf913cf9cb32d9b0e4faabc2a21d34b52baf8da132d29f3541323739a SHA512 a9edd33b59c9744dc4e09d709519be1fc3d014cc4f50254402784aa8035d21617323f2879c430245886f2a13165cc81d26779331dc1601f0edfc406953dca56f WHIRLPOOL 709eefc5fd6ec43bbb343bc91ba4f0289e9963b931a3d70d36b3b3cadcb41b5ee01da6e6d743d781fb91bb789fcf45a424d5109291074695019027ff76bba9b1
+DIST Ipopt-3.11.8.tgz 4749758 SHA256 9f9b76075fbd9315286ea4d7c159c94cab4a4fb16122fb172b24910af5b5b75b SHA512 1f60ea769dd7305348af3a5d4ed56938f04e59c36fb7a3fa0b808e4788dccee4711f82c3767e2aae87d21618d2a840d0bb22491c21c40bc2f9ebdf4b3a01aeec WHIRLPOOL a8022439d3509a2d1c7cf7c9c1c97d2ddda6baae948c3628c14a1eae622069ca090647c2e4051ca330d767bc09da7d908005bfb5b021e3277ee4bc1294f33019
diff --git a/sci-libs/ipopt/ipopt-3.11.7.ebuild b/sci-libs/ipopt/ipopt-3.11.7.ebuild
new file mode 100644
index 00000000000..705ce63cc16
--- /dev/null
+++ b/sci-libs/ipopt/ipopt-3.11.7.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_IN_SOURCE_BUILD=yes
+FORTRAN_NEEDED="mumps"
+inherit eutils autotools-utils multilib toolchain-funcs fortran-2
+
+MYPN=Ipopt
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="Interior-Point Optimizer for large-scale nonlinear optimization"
+HOMEPAGE="https://projects.coin-or.org/Ipopt/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYP}.tgz"
+
+LICENSE="EPL-1.0 hsl? ( HSL )"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples hsl lapack mpi mumps static-libs test"
+
+RDEPEND="
+ virtual/blas
+ hsl? ( sci-libs/coinhsl )
+ lapack? ( virtual/lapack )
+ mumps? ( sci-libs/mumps[mpi=] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen[dot] )
+ test? ( sci-libs/coinor-sample sci-libs/mumps )"
+
+S="${WORKDIR}/${MYPN}-${PV}/${MYPN}"
+
+src_prepare() {
+ if use mumps && ! use mpi; then
+ ln -s "${EPREFIX}"/usr/include/mpiseq/mpi.h \
+ src/Algorithm/LinearSolvers/
+ elif use mpi; then
+ export CXX=mpicxx FC=mpif77 F77=mpif77 CC=mpicc
+ fi
+ sed -i \
+ -e "s:lib/pkgconfig:$(get_libdir)/pkgconfig:g" \
+ configure || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ # needed for the --with-coin-instdir
+ dodir /usr
+ local myeconfargs=(
+ --enable-dependency-linking
+ --with-blas-lib="$($(tc-getPKG_CONFIG) --libs blas)"
+ --with-coin-instdir="${ED}"/usr
+ $(use_with doc dot)
+ )
+
+ if use lapack; then
+ myeconfargs+=( --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)" )
+ else
+ myeconfargs+=( --without-lapack )
+ fi
+ if use mumps; then
+ myeconfargs+=(
+ --with-mumps-incdir="${EPREFIX}"/usr/include
+ --with-mumps-lib="-lmumps_common -ldmumps -lzmumps -lsmumps -lcmumps" )
+ else
+ myeconfargs+=( --without-mumps )
+ fi
+ if use hsl; then
+ myeconfargs+=(
+ --with-hsl-incdir="${EPREFIX}"/usr/include
+ --with-hsl-lib="$($(tc-getPKG_CONFIG) --libs coinhsl)" )
+ else
+ myeconfargs+=( --without-hsl )
+ fi
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ autotools-utils_src_compile all $(use doc && echo doxydoc)
+}
+
+src_test() {
+ autotools-utils_src_test test
+}
+
+src_install() {
+ use doc && HTML_DOC=("${AUTOTOOLS_BUILD_DIR}/doxydocs/html/")
+ autotools-utils_src_install
+ # already installed
+ rm "${ED}"/usr/share/coin/doc/${MYPN}/{README,AUTHORS,LICENSE} || die
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
diff --git a/sci-libs/ipopt/ipopt-3.11.8.ebuild b/sci-libs/ipopt/ipopt-3.11.8.ebuild
new file mode 100644
index 00000000000..052d128e857
--- /dev/null
+++ b/sci-libs/ipopt/ipopt-3.11.8.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_IN_SOURCE_BUILD=yes
+FORTRAN_NEEDED="mumps"
+
+inherit eutils autotools-utils multilib toolchain-funcs fortran-2
+
+MYPN=Ipopt
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="Interior-Point Optimizer for large-scale nonlinear optimization"
+HOMEPAGE="https://projects.coin-or.org/Ipopt/"
+SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYP}.tgz"
+
+LICENSE="EPL-1.0 hsl? ( HSL )"
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples hsl lapack mpi mumps static-libs test"
+
+RDEPEND="
+ virtual/blas
+ hsl? ( sci-libs/coinhsl:0= )
+ lapack? ( virtual/lapack )
+ mumps? ( sci-libs/mumps:0=[mpi=] )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen[dot] )
+ test? ( sci-libs/coinor-sample sci-libs/mumps )"
+
+S="${WORKDIR}/${MYPN}-${PV}/${MYPN}"
+
+src_prepare() {
+ if use mumps && ! use mpi; then
+ ln -s "${EPREFIX}"/usr/include/mpiseq/mpi.h \
+ src/Algorithm/LinearSolvers/
+ elif use mpi; then
+ export CXX=mpicxx FC=mpif77 F77=mpif77 CC=mpicc
+ fi
+ sed -i \
+ -e "s:lib/pkgconfig:$(get_libdir)/pkgconfig:g" \
+ configure || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ # needed for the --with-coin-instdir
+ dodir /usr
+ local myeconfargs=(
+ --enable-dependency-linking
+ --with-blas-lib="$($(tc-getPKG_CONFIG) --libs blas)"
+ --with-coin-instdir="${ED}"/usr
+ $(use_with doc dot)
+ )
+
+ if use lapack; then
+ myeconfargs+=( --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)" )
+ else
+ myeconfargs+=( --without-lapack )
+ fi
+ if use mumps; then
+ myeconfargs+=(
+ --with-mumps-incdir="${EPREFIX}"/usr/include
+ --with-mumps-lib="-lmumps_common -ldmumps -lzmumps -lsmumps -lcmumps" )
+ else
+ myeconfargs+=( --without-mumps )
+ fi
+ if use hsl; then
+ myeconfargs+=(
+ --with-hsl-incdir="${EPREFIX}"/usr/include
+ --with-hsl-lib="$($(tc-getPKG_CONFIG) --libs coinhsl)" )
+ else
+ myeconfargs+=( --without-hsl )
+ fi
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ autotools-utils_src_compile all $(use doc && echo doxydoc)
+}
+
+src_test() {
+ autotools-utils_src_test test
+}
+
+src_install() {
+ use doc && HTML_DOC=("${AUTOTOOLS_BUILD_DIR}/doxydocs/html/")
+ autotools-utils_src_install
+ # already installed
+ rm "${ED}"/usr/share/coin/doc/${MYPN}/{README,AUTHORS,LICENSE} || die
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}
diff --git a/sci-libs/ipopt/metadata.xml b/sci-libs/ipopt/metadata.xml
new file mode 100644
index 00000000000..9b75b46f459
--- /dev/null
+++ b/sci-libs/ipopt/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ Ipopt is a solver for large-scale nonlinear continuous
+ optimization. It can be used from modeling environments, such as
+ AMPL, GAMS, or Matlab, and it is also available as a callable library with
+ interfaces to C++, C, and Fortran. Ipopt uses an interior point
+ method, together with a filter linear search procedure. Ipopt is
+ part of the larger COIN-OR initiative (Computational Infrastructure
+ for Operations Research).
+</longdescription>
+<use>
+ <flag name="hsl">hsl</flag>
+ <flag name="mumps">Enable <pkg>sci-libs/mumps</pkg> support</flag>
+</use>
+</pkgmetadata>